=== debian/changelog ===
opam-file-format (2.0.0-2) unstable; urgency=medium

  * Team upload
  * Fix generation of ABIzed dependencies (Closes: #952373)
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Feb 2020 07:23:18 +0100

opam-file-format (2.0.0-1) unstable; urgency=medium

  [Nicolas Braud-Santoni]
  * New upstream release (2018-08-01)
  * debian/watch: Fix filename mangle
  * debian/control: Comply with policy 4.1.5, set Rules-Requires-Root to no

  [Meddhi Dogguy]
  * Move the packaging repository to salsa.d.o
  * Use a secure Format URL in debian/copyright

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Thu, 02 Aug 2018 22:24:18 +0800

opam-file-format (2.0.0~rc2-1) unstable; urgency=medium

  * Initial packaging (Closes: #892416)

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sun, 15 Apr 2018 12:39:47 +0200
