=== debian/control ===
Source: opam-file-format
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
Section: ocaml
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-ocaml,
               ocaml-findlib,
               ocaml-nox
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/ocaml/opam-file-format/
Vcs-Git: https://salsa.debian.org/ocaml-team/opam-file-format.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/opam-file-format

Package: libopam-file-format-ocaml-dev
Architecture: any
Depends: ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: opam
Description: Parser and printer for the opam file syntax
 opam-file-format is a library for printing and parsing opam files.
 It is the one used by the OPAM package manager, making it authoritative
 in that it accepts exactly the syntax that OPAM itself uses.
 .
 This binary package provides the development files.
