=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc|beta|alpha)[\d.]*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/opam-file-format-$1\.tar\.gz/ \
  https://github.com/ocaml/opam-file-format/releases .*/archive/v?(\d\S+)\.tar\.gz
