=== debian/changelog ===
opam-file-format (2.1.2-2) unstable; urgency=medium

  * Team upload
  * Add two patches from upstream to fix build system and link libraries
    in the correct order

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2021 11:09:39 +0100

opam-file-format (2.1.2-1) unstable; urgency=medium

  * Team upload
  * New minor upstream release

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 16 Jan 2021 18:45:38 +0100

opam-file-format (2.1.1-1) unstable; urgency=medium

  * New upstream release (2020-11-17)
    + Add new types with more-complete positions
    + Deprecate all old functions
	  + Add a testsuite

  * d/rules: Install upstream changelog
  * d/patches: Backport missing change notes for v2.1.1

  * Update maintainer's name and email address.
  * d/copyright: Update authorship years
  * d/changelog: Amend typo in v2.1.0-1 (dh compat 13, not 12)
  * d/control: Declare compliance with policy v4.5.1.
    No change required
  * d/source: Ignore dotfiles from upstream

 -- nicoo <nicoo@debian.org>  Mon, 30 Nov 2020 17:21:09 +0100

opam-file-format (2.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Fri, 11 Sep 2020 10:55:59 +0200
