=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: opam-file-format
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
+Uploaders: nicoo <nicoo@debian.org>
 Section: ocaml
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-ocaml,
                ocaml-findlib,
                ocaml-nox
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/ocaml/opam-file-format/
 Vcs-Git: https://salsa.debian.org/ocaml-team/opam-file-format.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/opam-file-format
