=== debian/rules ===
--- 
+++ 
@@ -21,5 +21,5 @@
 	ocamlfind install opam-file-format src/META
 	dh_auto_install
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGES
