## opam-file-format 2.1.3

=== src/Makefile ===
--- 
+++ 
@@ -31,20 +31,20 @@
 %.cmx: %.ml
 	ocamlopt -c $(PP) $<
 
-MODULES = $(sort $(basename $(wildcard *.ml *.mll *.mly)))
+MODULES = opamParserTypes opamBaseParser opamLexer opamParser opamPrinter
 
 GENERATED = $(patsubst %.mly,%.ml,$(wildcard *.mly)) \
             $(patsubst %.mly,%.mli,$(wildcard *.mly)) \
             $(patsubst %.mll,%.ml,$(wildcard *.mll)) \
 	    META
 
-opam-file-format.cma: $(MODULES:%=%.cmo)
+opam-file-format.cma: $(addsuffix .cmo,$(MODULES))
 	ocamlc -a $^ -o $@
 
-opam-file-format.cmxa: $(MODULES:%=%.cmx)
+opam-file-format.cmxa: $(addsuffix .cmx,$(MODULES))
 	ocamlopt -a $^ -o $@
 
-opam-file-format.cmxs: $(MODULES:%=%.cmx)
+opam-file-format.cmxs: $(addsuffix .cmx,$(MODULES))
 	ocamlopt -shared $^ -o $@
 
 META: META.in ../opam-file-format.opam $(wildcard *.cm*)
