=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                ocaml-findlib,
                ocaml-nox
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/ocaml/opam-file-format/
 Vcs-Git: https://salsa.debian.org/ocaml-team/opam-file-format.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/opam-file-format
@@ -19,7 +19,7 @@
          ${ocaml:Depends},
          ${shlibs:Depends}
 Provides: ${ocaml:Provides}
-Recommends: opam
+Recommends: opam, ocaml-findlib
 Description: Parser and printer for the opam file syntax
  opam-file-format is a library for printing and parsing opam files.
  It is the one used by the OPAM package manager, making it authoritative
