=== debian/changelog ===
opam-file-format (2.1.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 22 Jan 2023 10:56:06 +0100
