=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/ocaml/ocamlvars.mk
 
 DESTDIR=$(CURDIR)/debian/libopam-file-format-ocaml-dev
-export LIBDIR=/usr/lib/ocaml
+export LIBDIR=$(OCAML_STDLIB_DIR)
 export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
 
 %:
