## opam-file-format 2.2.0

=== debian/changelog ===
opam-file-format (2.2.0-2) unstable; urgency=medium

  * Team upload
  * Disable tests to cut build-dependency cycle

 -- Stéphane Glondu <glondu@debian.org>  Sat, 27 Dec 2025 11:18:03 +0100

opam-file-format (2.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Use ocaml_dune dh buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 14 Aug 2025 11:45:31 +0200
