=== debian/control ===
--- 
+++ 
@@ -4,11 +4,14 @@
 Section: ocaml
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-ocaml,
-               ocaml-findlib,
-               ocaml-nox
+               dh-ocaml (>= 2),
+#               libalcotest-ocaml-dev <!nocheck>,
+#               libfmt-ocaml-dev <!nocheck>,
+               menhir,
+               ocaml-dune,
+               ocaml
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/ocaml/opam-file-format/
 Vcs-Git: https://salsa.debian.org/ocaml-team/opam-file-format.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/opam-file-format
